package javax.swing;

import java.awt.Component;
import java.awt.event.KeyEvent;
import java.awt.event.MouseEvent;

public interface MenuElement
{
    public abstract void processMouseEvent(MouseEvent p0, MenuElement[] p1, MenuSelectionManager p2);
    
    public abstract void processKeyEvent(KeyEvent p0, MenuElement[] p1, MenuSelectionManager p2);
    
    public abstract void menuSelectionChanged(boolean p0);
    
    public abstract MenuElement[] getSubElements();
    
    public abstract Component getComponent();
}
